Page MenuHomePhabricator

Have failed and successful mentions as opt-in feature for notifications
Closed, ResolvedPublic

Description

Users should be able to opt in to notifications about mentions they send from the notification preferences page. As a start, mention failure notifications and notifications about successfully sent mentions should be seperate opt-in features - see screenshot

Screenshot:

Texts for Question marks:
Failed Mention: Notify me, when a mention I tried to send failed.
Successful Mention: Notify me, when my mentions were successfully sent (not received)

Background: This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To help people use mentions in a way that they are sent, we have also included notifications about mention failures, which add the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptJul 14 2016, 10:54 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Addshore closed this task as Resolved.Aug 2 2016, 9:03 AM
Addshore claimed this task.
Charlie_WMDE moved this task from Incoming to Done on the WMDE-Design board.Nov 8 2016, 4:01 PM